Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 814293 (CVE-2012-1703) - CVE-2012-1703 mysql: unspecified DoS vulnerability related to Server Optimizer (CPU Apr 2012)
Summary: CVE-2012-1703 mysql: unspecified DoS vulnerability related to Server Optimize...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-1703
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 871813 871814
Blocks: 814308 mysql-cpu-2012-04
TreeView+ depends on / blocked
 
Reported: 2012-04-19 14:25 UTC by Jan Lieskovsky
Modified: 2021-02-24 12:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-06 18:47:18 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1462 0 normal SHIPPED_LIVE Important: mysql security update 2012-11-15 01:51:48 UTC

Description Jan Lieskovsky 2012-04-19 14:25:51 UTC
Unspecified vulnerability in the server optimizer subcomponent of the Oracle MySQL server could allow authenticated database users to cause frequently repeatable crash of the MySQL server or, potentially, underlying operating system hang via multiple protocols.

Upstream announced, supported MySQL server versions, vulnerable to this flaw:
5.1.61 and earlier and 5.5.21 and earlier

References:
[1] http://www.oracle.com/technetwork/topics/security/cpuapr2012-366314.html#AppendixMSQL
[2] http://www.oracle.com/technetwork/topics/security/cpuapr2012verbose-366316.html#Oracle%20MySQL

Comment 1 Carl Krekorian 2012-05-14 14:19:32 UTC
Is there a timeframe when this bug will be fixed?

Comment 3 errata-xmlrpc 2012-11-14 20:53:03 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1462 https://rhn.redhat.com/errata/RHSA-2012-1462.html

Comment 5 Vincent Danen 2013-11-06 18:47:18 UTC
Statement:

On Red Hat Enterprise Linux 5.10, new MySQL 5.5 packages are available which are not vulnerable to this issue.  Future updates for MySQL 5.0 will no longer be made available (mysql-5.0.* and related packages); security advisories will be provided only for MySQL 5.5.  Please refer to https://rhn.redhat.com/errata/RHEA-2013-1330.html for further information.


Note You need to log in before you can comment on or make changes to this bug.